Loading...
Searching...
No Matches
Magick::monochromeImage Class Reference

## Public Member Functions

| monochromeImage (const bool monochromeFlag_)
void | operator() (Image &image_) const

## Private Attributes

bool | _monochromeFlag

## Detailed Description

Definition at line 1573 of file STL.h.

## Constructor & Destructor Documentation

## monochromeImage()

Magick::monochromeImage::monochromeImage | ( | const bool | monochromeFlag_ | ) |

Definition at line 1440 of file STL.cpp.

: _monochromeFlag( monochromeFlag_ )
{
}

## Member Function Documentation

## operator()()

void Magick::monochromeImage::operator() | ( | Magick::Image & | image_ | ) | const

Definition at line 1444 of file STL.cpp.

{
image_.monochrome( _monochromeFlag );
}

## Field Documentation

## _monochromeFlag

bool Magick::monochromeImage::_monochromeFlag

private

Definition at line 1581 of file STL.h.

The documentation for this class was generated from the following files:

- /build/imagemagick-icbe39/imagemagick-7.1.2.3+dfsg1/Magick++/lib/Magick++/STL.h
- /build/imagemagick-icbe39/imagemagick-7.1.2.3+dfsg1/Magick++/lib/STL.cpp